Index: trunk/tools/drawing_tools.py
===================================================================
--- trunk/tools/drawing_tools.py	(revision 237)
+++ trunk/tools/drawing_tools.py	(revision 238)
@@ -738,5 +738,5 @@
           "variable|from|size|of|dimension|'" + varn[6:Lvarn+1] + "'", '1', 'rainbox']
     elif varn == 'a_tht' or varn == 'LA_THT':
-        varvals = ['a_th', 'total_thermal_plume_cover', 0., 1.,                      \
+        varvals = ['ath', 'total_thermal_plume_cover', 0., 1.,                       \
         'total|column|thermal|plume|cover', '1', 'YlGnBu']
     elif varn == 'bils' or varn == 'LBILS':
@@ -749,4 +749,10 @@
         varvals = ['c', 'condensed_water_mixing_ratio', 0., 3.e-4,                   \
           'condensed|water|mixing|ratio', 'kgkg-1', 'BuPu']
+    elif varn == 'ci' or varn == 'iwcon' or varn == 'LIWCON':
+        varvals = ['ci', 'cloud_iced_water_mixing_ratio', 0., 0.0003,                \
+         'cloud|iced|water|mixing|ratio', 'kgkg-1', 'Purples']
+    elif varn == 'cl' or varn == 'lwcon' or varn == 'LLWCON':
+        varvals = ['cl', 'cloud_liquidwater_mixing_ratio', 0., 0.0003,               \
+         'cloud|liquid|water|mixing|ratio', 'kgkg-1', 'Blues']
     elif varn == 'cld' or varn == 'CLDFRA' or varn == 'rneb' or varn == 'lrneb' or   \
       varn == 'LRNEB':
@@ -886,5 +892,5 @@
         varvals = ['huss', 'specific_humidity', 0., 1., 'specific|humidty|at|2m',    \
           '1', 'BuPu']
-    elif varn == 'i' or varn == 'iwcon' or varn == 'LIWCON' or varn == 'QICE':
+    elif varn == 'i' or varn == 'QICE':
         varvals = ['i', 'iced_water_mixing_ratio', 0., 0.0003,                       \
          'iced|water|mixing|ratio', 'kgkg-1', 'Purples']
@@ -956,6 +962,6 @@
         varvals = ['cpt', 'convective_point', 0., 1., 'convective|point', '1',       \
           'seismic']
-    elif varn == 'q_th':
-        varvals = ['q_th', 'thermal_plume_total_water_content', 0., 25.,             \
+    elif varn == 'qth':
+        varvals = ['qth', 'thermal_plume_total_water_content', 0., 25.,              \
           'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd']
     elif varn == 'r' or varn == 'QVAPOR' or varn == 'ovap' or varn == 'LOVAP':
@@ -978,9 +984,6 @@
         varvals = ['s', 'snow_mixing_ratio', 0., 0.0003, 'snow|mixing|ratio',        \
           'kgkg-1', 'Purples']
-    elif varn == 's_therm' or varn == 'LS_THERM':
-        varvals = ['s_therm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',    \
-          'Reds']
-    elif varn == 's_therm' or varn == 'LS_THERM':
-        varvals = ['s_therm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',    \
+    elif varn == 'stherm' or varn == 'LS_THERM':
+        varvals = ['stherm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',    \
           'Reds']
     elif varn == 'ta' or varn == 'WRFt' or varn == 'temp' or varn == 'LTEMP' or      \
@@ -1019,18 +1022,21 @@
         varvals = ['vas', 'northward_wind', -30., 30., 'northward|2m|wind', 'ms-1',  \
           'seismic']
-    elif varn == 'wake_deltaq' or varn == 'lwake_deltaq' or varn == 'LWAKE_DELTAQ':
-        varvals = ['wake_deltaq', 'wake_delta_vapor', -0.003, 0.003,                 \
+    elif varn == 'wakedeltaq' or varn == 'wake_deltaq' or varn == 'lwake_deltaq' or  \
+      varn == 'LWAKE_DELTAQ':
+        varvals = ['wakedeltaq', 'wake_delta_vapor', -0.003, 0.003,                  \
           'wake|delta|mixing|ratio', '-', 'seismic']
-    elif varn == 'wake_deltat' or varn == 'lwake_deltat' or varn == 'LWAKE_DELTAT':
-        varvals = ['wake_deltat', 'wake_delta_temp', -0.003, 0.003,                  \
+    elif varn == 'wakedeltat' or varn == 'wake_deltat' or varn == 'lwake_deltat' or  \
+      varn == 'LWAKE_DELTAT':
+        varvals = ['wakedeltat', 'wake_delta_temp', -0.003, 0.003,                   \
           'wake|delta|temperature', '-', 'seismic']
-    elif varn == 'wake_h' or varn == 'LWAKE_H':
-        varvals = ['wake_h', 'wake_height', 0., 1000., 'height|of|the|wakes', 'm',   \
+    elif varn == 'wakeh' or varn == 'wake_h' or varn == 'LWAKE_H':
+        varvals = ['wakeh', 'wake_height', 0., 1000., 'height|of|the|wakes', 'm',    \
           'YlOrRd']
-    elif varn == 'wake_omg' or varn == 'lwake_omg' or varn == 'LWAKE_OMG':
-        varvals = ['wake_omg', 'wake_omega', 0., 3., 'wake|omega', \
+    elif varn == 'wakeomg' or varn == 'wake_omg' or varn == 'lwake_omg' or           \
+      varn == 'LWAKE_OMG':
+        varvals = ['wakeomg', 'wake_omega', 0., 3., 'wake|omega', \
           '-', 'BuGn']
-    elif varn == 'wake_s' or varn == 'LWAKE_S':
-        varvals = ['wake_s', 'wake_area_fraction', 0., 0.5, 'wake|spatial|fraction', \
+    elif varn == 'wakes' or varn == 'wake_s' or varn == 'LWAKE_S':
+        varvals = ['wakes', 'wake_area_fraction', 0., 0.5, 'wake|spatial|fraction',  \
           '1', 'BuGn']
     elif varn == 'wa' or varn == 'W' or varn == 'Vertical wind':
@@ -1056,6 +1062,6 @@
         varvals = ['zg', 'geopotential_height', 0., 80000., 'geopotential|height',   \
           'm2s-2', 'rainbow']
-    elif varn == 'zmax_th' or varn == 'LZMAX_TH':
-        varvals = ['zmax_th', 'thermal_plume_height', 0., 4000.,                     \
+    elif varn == 'zmaxth' or varn == 'zmax_th'  or varn == 'LZMAX_TH':
+        varvals = ['zmaxth', 'thermal_plume_height', 0., 4000.,                     \
           'maximum|thermals|plume|height', 'm', 'YlOrRd']
     elif varn == 'zmla' or varn == 's_pblh' or varn == 'LS_PBLH':
Index: trunk/tools/lmdz_check.bash
===================================================================
--- trunk/tools/lmdz_check.bash	(revision 237)
+++ trunk/tools/lmdz_check.bash	(revision 238)
@@ -101,5 +101,5 @@
 
 # To paint figures
-  draw=0
+  draw=1
 
 # To generate Hovmoller graph