Index: trunk/tools/drawing_tools.py
===================================================================
--- trunk/tools/drawing_tools.py	(revision 243)
+++ trunk/tools/drawing_tools.py	(revision 249)
@@ -782,4 +782,13 @@
         varvals = ['clh', 'high_level_cloud_area_fraction', 0., 1.,                  \
           'high|level|(p|<|440|hPa)|cloud|fraction', '1', 'gist_gray']
+    elif varn == 'clmf' or varn == 'fbase' or varn == 'LFBASE':
+        varvals = ['clmf', 'cloud_base_max_flux', -0.3, 0.3, 'cloud|base|max|flux',  \
+          'kgm-2s-1', 'seismic']
+    elif varn == 'clp' or varn == 'pbase' or varn == 'LPBASE':
+        varvals = ['clp', 'cloud_base_pressure', -0.3, 0.3, 'cloud|base|pressure',   \
+          'Pa', 'Reds']
+    elif varn == 'cpt' or varn == 'ptconv' or varn == 'LPTCONV':
+        varvals = ['cpt', 'convective_point', 0., 1., 'convective|point', '1',       \
+          'seismic']
     elif varn == 'dqajs' or varn == 'LDQAJS':
         varvals = ['dqajs', 'dry_adjustment_water_vapor_tendency', -0.0003, 0.0003,  \
@@ -815,4 +824,19 @@
         varvals = ['dqwak', 'wake_water_vapor_tendency', -3.e-7, 3.e-7,              \
         'wake|water|vapor|tendency', 'kg/kg/s', 'seismic']
+    elif varn == 'dta' or varn == 'tnt' or varn == 'LTNT':
+        varvals = ['dta', 'tendency_air_temperature', -3.e-3, 3.e-3,                 \
+        'tendency|of|air|temperature', 'K/s', 'seismic']
+    elif varn == 'dtac' or varn == 'tntc' or varn == 'LTNTC':
+        varvals = ['dtac', 'moist_convection_tendency_air_temperature', -3.e-3, 3.e-3\
+        'moist|convection|tendency|of|air|temperature', 'K/s', 'seismic']
+    elif varn == 'dtar' or varn == 'tntr' or varn == 'LTNTR':
+        varvals = ['dtar', 'radiative_heating_tendency_air_temperature', -3.e-3,     \
+          3.e-3, 'radiative|heating|tendency|of|air|temperature', 'K/s', 'seismic']
+    elif varn == 'dtascpbl' or varn == 'tntscpbl' or varn == 'LTNTSCPBL':
+        varvals = ['dtascpbl',                                                       \
+          'stratiform_cloud_precipitation_BL_mixing_tendency_air_temperature',       \
+          -3.e-6, 3.e-6,                                                             \
+          'stratiform|cloud|precipitation|Boundary|Layer|mixing|tendency|air|'       +
+          'temperature', 'K/s', 'seismic']
     elif varn == 'dtajs' or varn == 'LDTAJS':
         varvals = ['dtajs', 'dry_adjustment_thermal_tendency', -3.e-5, 3.e-5,        \
@@ -836,7 +860,13 @@
         varvals = ['dtlsc', 'condensation_thermal_tendency', -3.e-3, 3.e-3,          \
         'condensation|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtlwr' or varn == 'LDTLWR':
+        varvals = ['dtlwr', 'long_wave_thermal_tendency', -3.e-3, 3.e-3, \
+        'long|wave|radiation|thermal|tendency', 'K/s', 'seismic']
     elif varn == 'dtphy' or varn == 'LDTPHY':
         varvals = ['dtphy', 'physics_thermal_tendency', -3.e-4, 3.e-4,               \
         'physics|thermal|tendency', 'K/s', 'seismic']
+    elif varn == 'dtsw0' or varn == 'LDTSW0':
+        varvals = ['dtsw0', 'cloudy_sky_short_wave_thermal_tendency', -3.e-4, 3.e-4, \
+        'cloudy|sky|short|wave|radiation|thermal|tendency', 'K/s', 'seismic']
     elif varn == 'dtthe' or varn == 'LDTTHE':
         varvals = ['dtthe', 'thermals_thermal_tendency', -3.e-4, 3.e-4,              \
@@ -901,4 +931,10 @@
         varvals = ['lcl', 'condensation_level', 0., 2500., 'level|of|condensation',  \
           'm', 'Greens']
+    elif varn == 'lambdath' or varn == 'lambda_th' or varn == 'LLAMBDA_TH':
+        varvals = ['lambdath', 'thermal_plume_vertical_velocity', -30., 30.,         \
+          'thermal|plume|vertical|velocity', 'm/s', 'Reeds']
+    elif varn == 'lmaxth' or varn == 'LLMAXTH':
+        varvals = ['lmaxth', 'upper_level_thermals', 0., 100., 'upper|level|thermals'\
+          , '1', 'Greens']
     elif varn == 'lon' or varn == 'XLONG' or varn == 'XLONG_M':
         varvals = ['lon', 'longitude', -180., 180., 'longitude', 'degrees East',     \
@@ -909,4 +945,10 @@
     elif varn == 'orog' or varn == 'HGT' or varn == 'HGT_M':
         varvals = ['orog', 'orography',  0., 3000., 'surface|altitude', 'm','terrain']
+    elif varn == 'pfc' or varn == 'plfc' or varn == 'LPLFC':
+        varvals = ['pfc', 'pressure_free_convection', 100., 1100.,                   \
+          'pressure|free|convection', 'hPa', 'BuPu']
+    elif varn == 'plcl' or varn == 'LPLCL':
+        varvals = ['plcl', 'pressure_lifting_condensation_level', 700., 1100.,       \
+          'pressure|lifting|condensation|level', 'hPa', 'BuPu']
     elif varn == 'pr' or varn == 'RAINTOT' or varn == 'precip' or                    \
       varn == 'LPRECIP' or varn == 'Precip Totale liq+sol':
@@ -959,8 +1001,5 @@
         varvals=['psl', 'air_pressure_at_sea_level', 85000., 104000.,                \
           'mean|sea|level|pressure', 'Pa', 'Greens']
-    elif varn == 'cpt' or varn == 'ptconv' or varn == 'LPTCONV':
-        varvals = ['cpt', 'convective_point', 0., 1., 'convective|point', '1',       \
-          'seismic']
-    elif varn == 'qth':
+    elif varn == 'qth' or varn == 'q_th' or varn == 'LQ_TH':
         varvals = ['qth', 'thermal_plume_total_water_content', 0., 25.,              \
           'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd']
@@ -985,5 +1024,5 @@
           'kgkg-1', 'Purples']
     elif varn == 'stherm' or varn == 'LS_THERM':
-        varvals = ['stherm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',    \
+        varvals = ['stherm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',     \
           'Reds']
     elif varn == 'ta' or varn == 'WRFt' or varn == 'temp' or varn == 'LTEMP' or      \
@@ -991,4 +1030,7 @@
         varvals = ['ta', 'air_temperature', 195., 320., 'air|temperature', 'K',      \
           'YlOrRd']
+    elif varn == 'tah' or varn == 'theta' or varn == 'LTHETA':
+        varvals = ['tah', 'potential_air_temperature', 195., 320.,                   \
+          'potential|air|temperature', 'K', 'YlOrRd']
     elif varn == 'tas' or varn == 'T2' or varn == 't2m' or varn == 'T2M' or          \
       varn == 'Temperature 2m':
Index: trunk/tools/lmdz_check.bash
===================================================================
--- trunk/tools/lmdz_check.bash	(revision 243)
+++ trunk/tools/lmdz_check.bash	(revision 249)
@@ -230,10 +230,13 @@
 
   dtvariables='AJS:CON:DYN:EVA:LSCST:LSCTH:LSC:PHY:THE:VDF:WAK'
-  stvariables='QVAPOR:QCLOUD:LGEOP:LTEMP:LVITU:LVITV:LVITW:LRHUM:LH2O:LPR_CON_I:'
+  stvariables='QVAPOR:QCLOUD:LGEOP:LTEMP:LTHETA:LVITU:LVITV:LVITW:LRHUM:LH2O:LPR_CON_I:'
   stvariables=${stvariables}'LPR_CON_L:LPR_LSC_I:LPR_LSC_L:LLWCON:LIWCON:LPTCONV:'
   stvariables=${stvariables}'LVPRECIP:LRNEB:LRNEBCON:LRNEBLS:LTKE:LWAKE_OMG:'
-  stvariables=${stvariables}'LWAKE_DELTAQ:LWAKE_DELTAT'
-  sfcvariables='LSNOW:LEVAP:LPRECIP:LPLUC:LPLUL:LRH2M:T2:U10:V10:LCLDL:LCLDM:'
-  sfcvariables=${sfcvariables}'LCLDH:PSFC:LS_PBLH:LS_PBLT:LS_LCL:LZMAX_TH'
+  stvariables=${stvariables}'LWAKE_DELTAQ:LWAKE_DELTAT:LDTSW0:LDTLWR:'
+  stvariables=${stvariables}'LQ_TH:LLAMBDA_TH:LTNT:LTNTC:LTNTR:LTNTSCPBL'
+  sfcvariables='LSNOW:LEVAP:LPRECIP:LPLUC:LPLUL:LRH2M:T2:LRH2M:U10:V10:LPBASE:'
+  sfcvariables=${sfcvariables}'LFBASE:LCLDL:LCLDM:LPLCL:LPLFC:'
+  sfcvariables=${sfcvariables}'LCLDH:PSFC:LS_PBLH:LS_PBLT:LS_LCL:LZMAX_TH:'
+  sfcvariables=${sfcvariables}'WAKE_H:LWAKE_S'
 
   kvalues='2dh:hovz:tevol'